# Widget class

inherited from: | Object
protocols: | AutoRelease
package: | gui
declared in: | gui/interface/Widget.tcl
implemented in: | gui/implementation/Widget.tcl

- class selectors
  - newWithPath:
- instance variables
  - @callbacks
  - @defaults
  - path
- instance selectors
  - addCallback:forEvent:
  - callbackForEvent:atIndex:
  - callbackIndexesForEvent:
  - cursor
  - cursor:
  - disableEvent:on:
  - do:with:
  - enableEvent:on:
  - hide
  - initWithPath:
  - on:do:
  - path
  - removeCallbackForEvent:atIndex:
  - show